OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDF

# TDF_LabelIntegerMap Class Reference

`#include <TDF_LabelIntegerMap.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDF_LabelIntegerMap (const Standard_Integer NbBuckets=1)
Standard_EXPORT TDF_LabelIntegerMap & | Assign (const TDF_LabelIntegerMap &Other)
TDF_LabelIntegerMap & | operator= (const TDF_LabelIntegerMap &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~TDF_LabelIntegerMap ()
Standard_EXPORT Standard_Boolean | Bind (const TDF_Label &K, const Standard_Integer &I)
Standard_EXPORT Standard_Boolean | IsBound (const TDF_Label &K) const
Standard_EXPORT Standard_Boolean | UnBind (const TDF_Label &K)
Standard_EXPORT const Standard_Integer & | Find (const TDF_Label &K) const
const Standard_Integer & | operator() (const TDF_Label &K) const
Standard_EXPORT Standard_Integer & | ChangeFind (const TDF_Label &K)
Standard_Integer & | operator() (const TDF_Label &K)
## Private Member Functions
Standard_EXPORT | TDF_LabelIntegerMap (const TDF_LabelIntegerMap &Other)

## Constructor & Destructor Documentation

Standard_EXPORT TDF_LabelIntegerMap::TDF_LabelIntegerMap | ( | const Standard_Integer | NbBuckets = `1` | ) |

TDF_LabelIntegerMap::~TDF_LabelIntegerMap | ( |  | ) | `[inline]`

Standard_EXPORT TDF_LabelIntegerMap::TDF_LabelIntegerMap | ( | const TDF_LabelIntegerMap & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT TDF_LabelIntegerMap& TDF_LabelIntegerMap::Assign | ( | const TDF_LabelIntegerMap & | Other | ) |

Standard_EXPORT Standard_Boolean TDF_LabelIntegerMap::Bind | ( | const TDF_Label & | K,
|  | const Standard_Integer & | I
| ) |

Standard_EXPORT Standard_Integer& TDF_LabelIntegerMap::ChangeFind | ( | const TDF_Label & | K | ) |

Standard_EXPORT void TDF_LabelIntegerMap::Clear | ( |  | ) |

Standard_EXPORT const Standard_Integer& TDF_LabelIntegerMap::Find | ( | const TDF_Label & | K | ) | const

Standard_EXPORT Standard_Boolean TDF_LabelIntegerMap::IsBound | ( | const TDF_Label & | K | ) | const

void TDF_LabelIntegerMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_LabelIntegerMap::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_LabelIntegerMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Integer& TDF_LabelIntegerMap::operator() | ( | const TDF_Label & | K | ) | `[inline]`

const Standard_Integer& TDF_LabelIntegerMap::operator() | ( | const TDF_Label & | K | ) | const`[inline]`

TDF_LabelIntegerMap& TDF_LabelIntegerMap::operator= | ( | const TDF_LabelIntegerMap & | Other | ) | `[inline]`

Standard_EXPORT void TDF_LabelIntegerMap::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean TDF_LabelIntegerMap::UnBind | ( | const TDF_Label & | K | ) |

The documentation for this class was generated from the following file:

- TDF_LabelIntegerMap.hxx